> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/korean/development/api-reference/enums/parttype.md).

# PartType

## Overview

PartType는 Part에서 제공하는 기본 도형 타입을 정의하는 Enum입니다.

Part의 Shape 속성에서 사용되며, 파트의 외형을 결정합니다.

## Items

| Name     | Value | Description        |
| -------- | ----- | ------------------ |
| Ball     | 0     | 구형을 나타냅니다.         |
| Block    | 1     | 직사각형 블록 형태를 나타냅니다. |
| Cylinder | 2     | 원통형을 나타냅니다.        |

## See also

{% content-ref url="/pages/tIsszhL11AorjjJS8PpN" %}
[Part](/korean/development/api-reference/classes/part.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/enums/parttype.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
